{"openapi":"3.0.0","servers":[{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/bingoboom/1C-docs-api/1.0.0"}],"info":{"description":"API for use with 1C-Documents Matrix Integration","version":"1.0.0","title":"1C-Documents Matrix Listener","contact":{"email":"dv_ryabyy@bingo-boom.com"}},"paths":{"/create":{"post":{"summary":"adds an agreement room","operationId":"addAgreementRoom","description":"Adds agreement room into matrix","responses":{"200":{"description":"Room created","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","example":"OK"},"message":{"type":"string","example":"Room created"},"url":{"type":"string","example":"-"}}}}}},"400":{"description":"Error","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","example":"Error"},"message":{"type":"string","example":"Some error message"}}}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddAgrItem"}}},"description":"Agreement item"}}},"/update":{"post":{"summary":"update an agreement room","operationId":"updateAgreementRoom","description":"Update agreement room in matrix","responses":{"200":{"description":"Room updated","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","example":"OK"},"message":{"type":"string","example":"Room updated"}}}}}},"400":{"description":"Error","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","example":"Error"},"message":{"type":"string","example":"Some error message"}}}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAgrItem"}}},"description":"Update item"}}}},"components":{"schemas":{"AgreementItem":{"type":"object","properties":{"uid":{"type":"string","example":"DOC-16813"},"url":{"type":"string","example":"http://server-1c/DO/#e1cib/data/%D0%A1%D0%BF%D1%80%D0%B0%D0%B2%D0%BE%D1%87%D0%BD%D0%B8%D0%BA.%D0%92%D0%BD%D1%83%D1%82%D1%80%D0%B5%D0%BD%D0%BD%D0%B8%D0%B5%D0%94%D0%BE%D0%BA%D1%83%D0%BC%D0%B5%D0%BD%D1%82%D1%8B?ref=83e700155d025d0311e87f7150b25727"},"topic":{"type":"string","example":"Example document agreement"},"members":{"type":"array","items":{"type":"string"},"example":["dv_ryabyy","yan"]},"description":{"type":"string","example":"Test description"},"documents":{"type":"array","items":{"$ref":"#/components/schemas/Document"},"example":[{"name":"Test document","rawdata":"dGVzdGRhdGEK"}]}}},"Document":{"type":"object","required":["name","rawdata"],"properties":{"name":{"type":"string","example":"Test document"},"rawdata":{"type":"string","format":"base64","example":"dGVzdGRhdGEK"},"mimetype":{"type":"string"}}},"AddAgrItem":{"allOf":[{"$ref":"#/components/schemas/AgreementItem"},{"type":"object","required":["uid","url","topic","members","description","documents"]}]},"UpdateAgrItem":{"allOf":[{"$ref":"#/components/schemas/AgreementItem"},{"type":"object","required":["uid"]}]}}}}